diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/edit-form-advanced.php ./wordpress-3.4/wp-admin/edit-form-advanced.php
*** ./wordpress-3.3.2/wp-admin/edit-form-advanced.php	2011-11-29 11:47:35.000000000 -0600
--- ./wordpress-3.4/wp-admin/edit-form-advanced.php	2012-05-20 17:20:00.000000000 -0500
***************
*** 12,17 ****
--- 12,20 ----
  
  wp_enqueue_script('post');
  
+ if ( wp_is_mobile() )
+ 	wp_enqueue_script( 'jquery-touch-punch' );
+ 
  if ( post_type_supports($post_type, 'editor') || post_type_supports($post_type, 'thumbnail') ) {
  	add_thickbox();
  	wp_enqueue_script('media-upload');
***************
*** 87,93 ****
  if ( $autosave && mysql2date( 'U', $autosave->post_modified_gmt, false ) > mysql2date( 'U', $post->post_modified_gmt, false ) ) {
  	foreach ( _wp_post_revision_fields() as $autosave_field => $_autosave_field ) {
  		if ( normalize_whitespace( $autosave->$autosave_field ) != normalize_whitespace( $post->$autosave_field ) ) {
! 			$notice = sprintf( __( 'There is an autosave of this post that is more recent than the version below.  <a href="%s">View the autosave</a>' ), get_edit_post_link( $autosave->ID ) );
  			break;
  		}
  	}
--- 90,96 ----
  if ( $autosave && mysql2date( 'U', $autosave->post_modified_gmt, false ) > mysql2date( 'U', $post->post_modified_gmt, false ) ) {
  	foreach ( _wp_post_revision_fields() as $autosave_field => $_autosave_field ) {
  		if ( normalize_whitespace( $autosave->$autosave_field ) != normalize_whitespace( $post->$autosave_field ) ) {
! 			$notice = sprintf( __( 'There is an autosave of this post that is more recent than the version below. <a href="%s">View the autosave</a>' ), get_edit_post_link( $autosave->ID ) );
  			break;
  		}
  	}
***************
*** 240,246 ****
  require_once('./admin-header.php');
  ?>
  
! <div class="wrap columns-<?php echo (int) $screen_layout_columns ? (int) $screen_layout_columns : 'auto'; ?>">
  <?php screen_icon(); ?>
  <h2><?php echo esc_html( $title ); ?><?php if ( isset( $post_new_file ) ) : ?> <a href="<?php echo esc_url( $post_new_file ) ?>" class="add-new-h2"><?php echo esc_html($post_type_object->labels->add_new); ?></a><?php endif; ?></h2>
  <?php if ( $notice ) : ?>
--- 243,249 ----
  require_once('./admin-header.php');
  ?>
  
! <div class="wrap">
  <?php screen_icon(); ?>
  <h2><?php echo esc_html( $title ); ?><?php if ( isset( $post_new_file ) ) : ?> <a href="<?php echo esc_url( $post_new_file ) ?>" class="add-new-h2"><?php echo esc_html($post_type_object->labels->add_new); ?></a><?php endif; ?></h2>
  <?php if ( $notice ) : ?>
***************
*** 272,288 ****
  wp_nonce_field( 'closedpostboxes', 'closedpostboxesnonce', false );
  ?>
  
! <div id="poststuff" class="metabox-holder<?php echo 1 != $screen_layout_columns ? ' has-right-sidebar' : ''; ?>">
! <div id="side-info-column" class="inner-sidebar">
! <?php
! if ( 1 != $screen_layout_columns ) {
! 	('page' == $post_type) ? do_action('submitpage_box') : do_action('submitpost_box');
! 	$side_meta_boxes = do_meta_boxes($post_type, 'side', $post);
! }
! ?>
! </div>
  
! <div id="post-body">
  <div id="post-body-content">
  <?php if ( post_type_supports($post_type, 'title') ) { ?>
  <div id="titlediv">
--- 275,283 ----
  wp_nonce_field( 'closedpostboxes', 'closedpostboxesnonce', false );
  ?>
  
! <div id="poststuff">
  
! <div id="post-body" class="metabox-holder columns-<?php echo 1 == get_current_screen()->get_columns() ? '1' : '2'; ?>">
  <div id="post-body-content">
  <?php if ( post_type_supports($post_type, 'title') ) { ?>
  <div id="titlediv">
***************
*** 338,362 ****
  </tr></tbody></table>
  
  </div>
  
  <?php
- }
  
! if ( 1 == $screen_layout_columns ) {
! 	('page' == $post_type) ? do_action('submitpage_box') : do_action('submitpost_box');
! 	$side_meta_boxes = do_meta_boxes($post_type, 'side', $post);
! }
  
  do_meta_boxes(null, 'normal', $post);
  
! ( 'page' == $post_type ) ? do_action('edit_page_form') : do_action('edit_form_advanced');
  
  do_meta_boxes(null, 'advanced', $post);
  
! do_action('dbx_post_sidebar'); ?>
! 
! </div>
  </div>
  <br class="clear" />
  </div><!-- /poststuff -->
  </form>
--- 333,373 ----
  </tr></tbody></table>
  
  </div>
+ <?php } ?>
+ </div><!-- /post-body-content -->
  
+ <div id="postbox-container-1" class="postbox-container">
  <?php
  
! if ( 'page' == $post_type )
! 	do_action('submitpage_box');
! else
! 	do_action('submitpost_box');
! 
! do_meta_boxes($post_type, 'side', $post);
! 
! ?>
! </div>
! <div id="postbox-container-2" class="postbox-container">
! <?php
  
  do_meta_boxes(null, 'normal', $post);
  
! if ( 'page' == $post_type )
! 	do_action('edit_page_form');
! else
! 	do_action('edit_form_advanced');
  
  do_meta_boxes(null, 'advanced', $post);
  
! ?>
  </div>
+ <?php
+ 
+ do_action('dbx_post_sidebar');
+ 
+ ?>
+ </div><!-- /post-body -->
  <br class="clear" />
  </div><!-- /poststuff -->
  </form>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/edit-form-comment.php ./wordpress-3.4/wp-admin/edit-form-comment.php
*** ./wordpress-3.3.2/wp-admin/edit-form-comment.php	2011-11-05 13:03:33.000000000 -0500
--- ./wordpress-3.4/wp-admin/edit-form-comment.php	2012-03-23 16:41:00.000000000 -0500
***************
*** 9,25 ****
  // don't load directly
  if ( !defined('ABSPATH') )
  	die('-1');
- 
- /**
-  * @var string
-  */
- $submitbutton_text = __('Edit Comment');
- $toprow_title = sprintf(__('Editing Comment # %s'), $comment->comment_ID);
- $form_action = 'editedcomment';
- $form_extra = "' />\n<input type='hidden' name='comment_ID' value='" . esc_attr($comment->comment_ID) . "' />\n<input type='hidden' name='comment_post_ID' value='" . esc_attr($comment->comment_post_ID);
- $comment->comment_author_email = esc_attr($comment->comment_author_email);
  ?>
- 
  <form name="post" action="comment.php" method="post" id="post">
  <?php wp_nonce_field('update-comment_' . $comment->comment_ID) ?>
  <div class="wrap">
--- 9,15 ----
***************
*** 26,36 ****
  <?php screen_icon(); ?>
  <h2><?php _e('Edit Comment'); ?></h2>
  
! <div id="poststuff" class="metabox-holder has-right-sidebar">
! <input type="hidden" name="user_ID" value="<?php echo (int) $user_ID ?>" />
! <input type="hidden" name="action" value='<?php echo $form_action . $form_extra ?>' />
  
! <div id="side-info-column" class="inner-sidebar">
  <div id="submitdiv" class="stuffbox" >
  <h3><span class='hndle'><?php _e('Status') ?></span></h3>
  <div class="inside">
--- 16,75 ----
  <?php screen_icon(); ?>
  <h2><?php _e('Edit Comment'); ?></h2>
  
! <div id="poststuff">
! <input type="hidden" name="user_ID" value="<?php echo (int) $user_ID; ?>" />
! <input type="hidden" name="action" value="editedcomment" />
! <input type="hidden" name="comment_ID" value="<?php echo esc_attr( $comment->comment_ID ); ?>" />
! <input type="hidden" name="comment_post_ID" value="<?php echo esc_attr( $comment->comment_post_ID ); ?>" />
  
! <div id="post-body" class="metabox-holder columns-2">
! <div id="post-body-content">
! <div id="namediv" class="stuffbox">
! <h3><label for="name"><?php _e( 'Author' ) ?></label></h3>
! <div class="inside">
! <table class="form-table editcomment">
! <tbody>
! <tr valign="top">
! 	<td class="first"><?php _e( 'Name:' ); ?></td>
! 	<td><input type="text" name="newcomment_author" size="30" value="<?php echo esc_attr( $comment->comment_author ); ?>" tabindex="1" id="name" /></td>
! </tr>
! <tr valign="top">
! 	<td class="first">
! 	<?php
! 		if ( $comment->comment_author_email ) {
! 			printf( __( 'E-mail (%s):' ), get_comment_author_email_link( __( 'send e-mail' ), '', '' ) );
! 		} else {
! 			_e( 'E-mail:' );
! 		}
! ?></td>
! 	<td><input type="text" name="newcomment_author_email" size="30" value="<?php echo $comment->comment_author_email; ?>" tabindex="2" id="email" /></td>
! </tr>
! <tr valign="top">
! 	<td class="first">
! 	<?php
! 		if ( ! empty( $comment->comment_author_url ) && 'http://' != $comment->comment_author_url ) {
! 			$link = '<a href="' . $comment->comment_author_url . '" rel="external nofollow" target="_blank">' . __('visit site') . '</a>';
! 			printf( __( 'URL (%s):' ), apply_filters('get_comment_author_link', $link ) );
! 		} else {
! 			_e( 'URL:' );
! 		} ?></td>
! 	<td><input type="text" id="newcomment_author_url" name="newcomment_author_url" size="30" class="code" value="<?php echo esc_attr($comment->comment_author_url); ?>" tabindex="3" /></td>
! </tr>
! </tbody>
! </table>
! <br />
! </div>
! </div>
! 
! <div id="postdiv" class="postarea">
! <?php
! 	$quicktags_settings = array( 'buttons' => 'strong,em,link,block,del,ins,img,ul,ol,li,code,spell,close' );
! 	wp_editor( $comment->comment_content, 'content', array( 'media_buttons' => false, 'tinymce' => false, 'quicktags' => $quicktags_settings ) );
! 	wp_nonce_field( 'closedpostboxes', 'closedpostboxesnonce', false ); ?>
! </div>
! </div><!-- /post-body-content -->
! 
! <div id="postbox-container-1" class="postbox-container">
  <div id="submitdiv" class="stuffbox" >
  <h3><span class='hndle'><?php _e('Status') ?></span></h3>
  <div class="inside">
***************
*** 52,58 ****
  <label class="spam"><input type="radio"<?php checked( $comment->comment_approved, 'spam' ); ?> name="comment_status" value="spam" /><?php /* translators: comment type radio button */ _ex('Spam', 'adjective'); ?></label>
  </div>
  
! <div class="misc-pub-section curtime misc-pub-section-last">
  <?php
  // translators: Publish box date format, see http://php.net/date
  $datef = __( 'M j, Y @ G:i' );
--- 91,97 ----
  <label class="spam"><input type="radio"<?php checked( $comment->comment_approved, 'spam' ); ?> name="comment_status" value="spam" /><?php /* translators: comment type radio button */ _ex('Spam', 'adjective'); ?></label>
  </div>
  
! <div class="misc-pub-section curtime">
  <?php
  // translators: Publish box date format, see http://php.net/date
  $datef = __( 'M j, Y @ G:i' );
***************
*** 77,132 ****
  </div>
  </div>
  </div>
! </div>
  </div>
  
! <div id="post-body">
! <div id="post-body-content">
! <div id="namediv" class="stuffbox">
! <h3><label for="name"><?php _e( 'Author' ) ?></label></h3>
! <div class="inside">
! <table class="form-table editcomment">
! <tbody>
! <tr valign="top">
! 	<td class="first"><?php _e( 'Name:' ); ?></td>
! 	<td><input type="text" name="newcomment_author" size="30" value="<?php echo esc_attr( $comment->comment_author ); ?>" tabindex="1" id="name" /></td>
! </tr>
! <tr valign="top">
! 	<td class="first">
! 	<?php
! 		if ( $comment->comment_author_email ) {
! 			printf( __( 'E-mail (%s):' ), get_comment_author_email_link( __( 'send e-mail' ), '', '' ) );
! 		} else {
! 			_e( 'E-mail:' );
! 		}
! ?></td>
! 	<td><input type="text" name="newcomment_author_email" size="30" value="<?php echo $comment->comment_author_email; ?>" tabindex="2" id="email" /></td>
! </tr>
! <tr valign="top">
! 	<td class="first">
! 	<?php
! 		if ( ! empty( $comment->comment_author_url ) && 'http://' != $comment->comment_author_url ) {
! 			$link = '<a href="' . $comment->comment_author_url . '" rel="external nofollow" target="_blank">' . __('visit site') . '</a>';
! 			printf( __( 'URL (%s):' ), apply_filters('get_comment_author_link', $link ) );
! 		} else {
! 			_e( 'URL:' );
! 		} ?></td>
! 	<td><input type="text" id="newcomment_author_url" name="newcomment_author_url" size="30" class="code" value="<?php echo esc_attr($comment->comment_author_url); ?>" tabindex="3" /></td>
! </tr>
! </tbody>
! </table>
! <br />
! </div>
! </div>
! 
! <div id="postdiv" class="postarea">
  <?php
- 	$quicktags_settings = array( 'buttons' => 'strong,em,link,block,del,ins,img,ul,ol,li,code,spell,close' );
- 	wp_editor( $comment->comment_content, 'content', array( 'media_buttons' => false, 'tinymce' => false, 'quicktags' => $quicktags_settings ) );
- 	wp_nonce_field( 'closedpostboxes', 'closedpostboxesnonce', false ); ?>
- </div>
  
- <?php
  do_action('add_meta_boxes', 'comment', $comment);
  do_action('add_meta_boxes_comment', $comment);
  
--- 116,127 ----
  </div>
  </div>
  </div>
! </div><!-- /submitdiv -->
  </div>
  
! <div id="postbox-container-2" class="postbox-container">
  <?php
  
  do_action('add_meta_boxes', 'comment', $comment);
  do_action('add_meta_boxes_comment', $comment);
  
***************
*** 131,145 ****
  do_action('add_meta_boxes_comment', $comment);
  
  do_meta_boxes(null, 'normal', $comment);
  ?>
  <input type="hidden" name="c" value="<?php echo esc_attr($comment->comment_ID) ?>" />
  <input type="hidden" name="p" value="<?php echo esc_attr($comment->comment_post_ID) ?>" />
  <input name="referredby" type="hidden" id="referredby" value="<?php echo esc_url(stripslashes(wp_get_referer())); ?>" />
  <?php wp_original_referer_field(true, 'previous'); ?>
  <input type="hidden" name="noredir" value="1" />
  
! </div>
! </div>
  </div>
  </div>
  </form>
--- 126,142 ----
  do_action('add_meta_boxes_comment', $comment);
  
  do_meta_boxes(null, 'normal', $comment);
+ 
  ?>
+ </div>
+ 
  <input type="hidden" name="c" value="<?php echo esc_attr($comment->comment_ID) ?>" />
  <input type="hidden" name="p" value="<?php echo esc_attr($comment->comment_post_ID) ?>" />
  <input name="referredby" type="hidden" id="referredby" value="<?php echo esc_url(stripslashes(wp_get_referer())); ?>" />
  <?php wp_original_referer_field(true, 'previous'); ?>
  <input type="hidden" name="noredir" value="1" />
  
! </div><!-- /post-body -->
  </div>
  </div>
  </form>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/edit-link-form.php ./wordpress-3.4/wp-admin/edit-link-form.php
*** ./wordpress-3.3.2/wp-admin/edit-link-form.php	2011-11-30 20:22:07.000000000 -0600
--- ./wordpress-3.4/wp-admin/edit-link-form.php	2012-04-24 15:46:04.000000000 -0500
***************
*** 57,63 ****
  require_once ('admin-header.php');
  ?>
  
! <div class="wrap columns-<?php echo (int) $screen_layout_columns ? (int) $screen_layout_columns : 'auto'; ?>">
  <?php screen_icon(); ?>
  <h2><?php echo esc_html( $title ); ?>  <a href="link-add.php" class="add-new-h2"><?php echo esc_html_x('Add New', 'link'); ?></a></h2>
  
--- 57,63 ----
  require_once ('admin-header.php');
  ?>
  
! <div class="wrap">
  <?php screen_icon(); ?>
  <h2><?php echo esc_html( $title ); ?>  <a href="link-add.php" class="add-new-h2"><?php echo esc_html_x('Add New', 'link'); ?></a></h2>
  
***************
*** 75,91 ****
  wp_nonce_field( 'closedpostboxes', 'closedpostboxesnonce', false );
  wp_nonce_field( 'meta-box-order', 'meta-box-order-nonce', false ); ?>
  
! <div id="poststuff" class="metabox-holder<?php echo 1 != $screen_layout_columns ? ' has-right-sidebar' : ''; ?>">
! <div id="side-info-column" class="inner-sidebar">
! <?php
! if ( 1 != $screen_layout_columns ) {
! 	do_action('submitlink_box');
! 	$side_meta_boxes = do_meta_boxes( 'link', 'side', $link );
! }
! ?>
! </div>
  
! <div id="post-body">
  <div id="post-body-content">
  <div id="namediv" class="stuffbox">
  <h3><label for="link_name"><?php _ex('Name', 'link name') ?></label></h3>
--- 75,83 ----
  wp_nonce_field( 'closedpostboxes', 'closedpostboxesnonce', false );
  wp_nonce_field( 'meta-box-order', 'meta-box-order-nonce', false ); ?>
  
! <div id="poststuff">
  
! <div id="post-body" class="metabox-holder columns-<?php echo 1 == get_current_screen()->get_columns() ? '1' : '2'; ?>">
  <div id="post-body-content">
  <div id="namediv" class="stuffbox">
  <h3><label for="link_name"><?php _ex('Name', 'link name') ?></label></h3>
***************
*** 110,127 ****
      <p><?php _e('This will be shown when someone hovers over the link in the blogroll, or optionally below the link.'); ?></p>
  </div>
  </div>
  
  <?php
  
! if ( 1 == $screen_layout_columns ) {
! 	do_action('submitlink_box');
! 	$side_meta_boxes = do_meta_boxes( 'link', 'side', $link );
! }
  
  do_meta_boxes(null, 'normal', $link);
  
  do_meta_boxes(null, 'advanced', $link);
  
  if ( $link_id ) : ?>
  <input type="hidden" name="action" value="save" />
  <input type="hidden" name="link_id" value="<?php echo (int) $link_id; ?>" />
--- 102,128 ----
      <p><?php _e('This will be shown when someone hovers over the link in the blogroll, or optionally below the link.'); ?></p>
  </div>
  </div>
+ </div><!-- /post-body-content -->
  
+ <div id="postbox-container-1" class="postbox-container">
  <?php
  
! do_action('submitlink_box');
! $side_meta_boxes = do_meta_boxes( 'link', 'side', $link );
! 
! ?>
! </div>
! <div id="postbox-container-2" class="postbox-container">
! <?php
  
  do_meta_boxes(null, 'normal', $link);
  
  do_meta_boxes(null, 'advanced', $link);
  
+ ?>
+ </div>
+ <?php
+ 
  if ( $link_id ) : ?>
  <input type="hidden" name="action" value="save" />
  <input type="hidden" name="link_id" value="<?php echo (int) $link_id; ?>" />
***************
*** 133,139 ****
  
  </div>
  </div>
- </div>
  
  </form>
  </div>
--- 134,139 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/edit.php ./wordpress-3.4/wp-admin/edit.php
*** ./wordpress-3.3.2/wp-admin/edit.php	2011-11-30 22:51:35.000000000 -0600
--- ./wordpress-3.4/wp-admin/edit.php	2012-04-27 17:54:02.000000000 -0500
***************
*** 133,139 ****
  			break;
  	}
  
! 	$sendback = remove_query_arg( array('action', 'action2', 'tags_input', 'post_author', 'comment_status', 'ping_status', '_status',  'post', 'bulk_edit', 'post_view'), $sendback );
  
  	wp_redirect($sendback);
  	exit();
--- 133,139 ----
  			break;
  	}
  
! 	$sendback = remove_query_arg( array('action', 'action2', 'tags_input', 'post_author', 'comment_status', 'ping_status', '_status', 'post', 'bulk_edit', 'post_view'), $sendback );
  
  	wp_redirect($sendback);
  	exit();
***************
*** 222,270 ****
  <div class="wrap">
  <?php screen_icon(); ?>
  <h2><?php echo esc_html( $post_type_object->labels->name ); ?> <a href="<?php echo $post_new_file ?>" class="add-new-h2"><?php echo esc_html($post_type_object->labels->add_new); ?></a> <?php
! if ( isset($_REQUEST['s']) && $_REQUEST['s'] )
  	printf( '<span class="subtitle">' . __('Search results for &#8220;%s&#8221;') . '</span>', get_search_query() ); ?>
  </h2>
  
! <?php if ( isset($_REQUEST['locked']) || isset($_REQUEST['skipped']) || isset($_REQUEST['updated']) || isset($_REQUEST['deleted']) || isset($_REQUEST['trashed']) || isset($_REQUEST['untrashed']) ) {
  	$messages = array();
  ?>
  <div id="message" class="updated"><p>
! <?php if ( isset($_REQUEST['updated']) && (int) $_REQUEST['updated'] ) {
! 	$messages[] = sprintf( _n( '%s post updated.', '%s posts updated.', $_REQUEST['updated'] ), number_format_i18n( $_REQUEST['updated'] ) );
! 	unset($_REQUEST['updated']);
  }
  
! if ( isset($_REQUEST['skipped']) && (int) $_REQUEST['skipped'] )
! 	unset($_REQUEST['skipped']);
! 
! if ( isset($_REQUEST['locked']) && (int) $_REQUEST['locked'] ) {
! 	$messages[] = sprintf( _n( '%s item not updated, somebody is editing it.', '%s items not updated, somebody is editing them.', $_REQUEST['locked'] ), number_format_i18n( $_REQUEST['locked'] ) );
! 	unset($_REQUEST['locked']);
  }
  
! if ( isset($_REQUEST['deleted']) && (int) $_REQUEST['deleted'] ) {
! 	$messages[] = sprintf( _n( 'Item permanently deleted.', '%s items permanently deleted.', $_REQUEST['deleted'] ), number_format_i18n( $_REQUEST['deleted'] ) );
! 	unset($_REQUEST['deleted']);
  }
  
! if ( isset($_REQUEST['trashed']) && (int) $_REQUEST['trashed'] ) {
! 	$messages[] = sprintf( _n( 'Item moved to the Trash.', '%s items moved to the Trash.', $_REQUEST['trashed'] ), number_format_i18n( $_REQUEST['trashed'] ) );
  	$ids = isset($_REQUEST['ids']) ? $_REQUEST['ids'] : 0;
  	$messages[] = '<a href="' . esc_url( wp_nonce_url( "edit.php?post_type=$post_type&doaction=undo&action=untrash&ids=$ids", "bulk-posts" ) ) . '">' . __('Undo') . '</a>';
- 	unset($_REQUEST['trashed']);
  }
  
! if ( isset($_REQUEST['untrashed']) && (int) $_REQUEST['untrashed'] ) {
! 	$messages[] = sprintf( _n( 'Item restored from the Trash.', '%s items restored from the Trash.', $_REQUEST['untrashed'] ), number_format_i18n( $_REQUEST['untrashed'] ) );
! 	unset($_REQUEST['undeleted']);
  }
  
  if ( $messages )
  	echo join( ' ', $messages );
  unset( $messages );
  
! $_SERVER['REQUEST_URI'] = remove_query_arg( array('locked', 'skipped', 'updated', 'deleted', 'trashed', 'untrashed'), $_SERVER['REQUEST_URI'] );
  ?>
  </p></div>
  <?php } ?>
--- 222,262 ----
  <div class="wrap">
  <?php screen_icon(); ?>
  <h2><?php echo esc_html( $post_type_object->labels->name ); ?> <a href="<?php echo $post_new_file ?>" class="add-new-h2"><?php echo esc_html($post_type_object->labels->add_new); ?></a> <?php
! if ( ! empty( $_REQUEST['s'] ) )
  	printf( '<span class="subtitle">' . __('Search results for &#8220;%s&#8221;') . '</span>', get_search_query() ); ?>
  </h2>
  
! <?php if ( isset( $_REQUEST['locked'] ) || isset( $_REQUEST['updated'] ) || isset( $_REQUEST['deleted'] ) || isset( $_REQUEST['trashed'] ) || isset( $_REQUEST['untrashed'] ) ) {
  	$messages = array();
  ?>
  <div id="message" class="updated"><p>
! <?php if ( isset( $_REQUEST['updated'] ) && $updated = absint( $_REQUEST['updated'] ) ) {
! 	$messages[] = sprintf( _n( '%s post updated.', '%s posts updated.', $updated ), number_format_i18n( $updated ) );
  }
  
! if ( isset( $_REQUEST['locked'] ) && $locked = absint( $_REQUEST['locked'] ) ) {
! 	$messages[] = sprintf( _n( '%s item not updated, somebody is editing it.', '%s items not updated, somebody is editing them.', $locked ), number_format_i18n( $locked ) );
  }
  
! if ( isset( $_REQUEST['deleted'] ) && $deleted = absint( $_REQUEST['deleted'] ) ) {
! 	$messages[] = sprintf( _n( 'Item permanently deleted.', '%s items permanently deleted.', $deleted ), number_format_i18n( $deleted ) );
  }
  
! if ( isset( $_REQUEST['trashed'] ) && $trashed = absint( $_REQUEST['trashed'] ) ) {
! 	$messages[] = sprintf( _n( 'Item moved to the Trash.', '%s items moved to the Trash.', $trashed ), number_format_i18n( $trashed ) );
  	$ids = isset($_REQUEST['ids']) ? $_REQUEST['ids'] : 0;
  	$messages[] = '<a href="' . esc_url( wp_nonce_url( "edit.php?post_type=$post_type&doaction=undo&action=untrash&ids=$ids", "bulk-posts" ) ) . '">' . __('Undo') . '</a>';
  }
  
! if ( isset( $_REQUEST['untrashed'] ) && $untrashed = absint( $_REQUEST['untrashed'] ) ) {
! 	$messages[] = sprintf( _n( 'Item restored from the Trash.', '%s items restored from the Trash.', $untrashed ), number_format_i18n( $untrashed ) );
  }
  
  if ( $messages )
  	echo join( ' ', $messages );
  unset( $messages );
  
! $_SERVER['REQUEST_URI'] = remove_query_arg( array( 'locked', 'skipped', 'updated', 'deleted', 'trashed', 'untrashed' ), $_SERVER['REQUEST_URI'] );
  ?>
  </p></div>
  <?php } ?>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/edit-tag-form.php ./wordpress-3.4/wp-admin/edit-tag-form.php
*** ./wordpress-3.3.2/wp-admin/edit-tag-form.php	2011-05-31 00:05:42.000000000 -0500
--- ./wordpress-3.4/wp-admin/edit-tag-form.php	2012-04-25 19:58:16.000000000 -0500
***************
*** 24,30 ****
  else
  	do_action('edit_tag_form_pre', $tag);
  
! do_action($taxonomy . '_pre_edit_form', $tag, $taxonomy);  ?>
  
  <div class="wrap">
  <?php screen_icon(); ?>
--- 24,30 ----
  else
  	do_action('edit_tag_form_pre', $tag);
  
! do_action($taxonomy . '_pre_edit_form', $tag, $taxonomy); ?>
  
  <div class="wrap">
  <?php screen_icon(); ?>
***************
*** 52,67 ****
  		<tr class="form-field">
  			<th scope="row" valign="top"><label for="parent"><?php _ex('Parent', 'Taxonomy Parent'); ?></label></th>
  			<td>
! 				<?php wp_dropdown_categories(array('hide_empty' => 0, 'hide_if_empty' => false, 'name' => 'parent', 'orderby' => 'name', 'taxonomy' => $taxonomy, 'selected' => $tag->parent, 'exclude_tree' => $tag->term_id, 'hierarchical' => true, 'show_option_none' => __('None'))); ?><br />
  				<?php if ( 'category' == $taxonomy ) : ?>
! 				<span class="description"><?php _e('Categories, unlike tags, can have a hierarchy. You might have a Jazz category, and under that have children categories for Bebop and Big Band. Totally optional.'); ?></span>
  				<?php endif; ?>
  			</td>
  		</tr>
  <?php endif; // is_taxonomy_hierarchical() ?>
  		<tr class="form-field">
  			<th scope="row" valign="top"><label for="description"><?php _ex('Description', 'Taxonomy Description'); ?></label></th>
! 			<td><textarea name="description" id="description" rows="5" cols="50" style="width: 97%;"><?php echo $tag->description; // textarea_escaped ?></textarea><br />
  			<span class="description"><?php _e('The description is not prominent by default, however some themes may show it.'); ?></span></td>
  		</tr>
  		<?php
--- 52,67 ----
  		<tr class="form-field">
  			<th scope="row" valign="top"><label for="parent"><?php _ex('Parent', 'Taxonomy Parent'); ?></label></th>
  			<td>
! 				<?php wp_dropdown_categories(array('hide_empty' => 0, 'hide_if_empty' => false, 'name' => 'parent', 'orderby' => 'name', 'taxonomy' => $taxonomy, 'selected' => $tag->parent, 'exclude_tree' => $tag->term_id, 'hierarchical' => true, 'show_option_none' => __('None'))); ?>
  				<?php if ( 'category' == $taxonomy ) : ?>
! 				<p class="description"><?php _e('Categories, unlike tags, can have a hierarchy. You might have a Jazz category, and under that have children categories for Bebop and Big Band. Totally optional.'); ?></p>
  				<?php endif; ?>
  			</td>
  		</tr>
  <?php endif; // is_taxonomy_hierarchical() ?>
  		<tr class="form-field">
  			<th scope="row" valign="top"><label for="description"><?php _ex('Description', 'Taxonomy Description'); ?></label></th>
! 			<td><textarea name="description" id="description" rows="5" cols="50" class="large-text"><?php echo $tag->description; // textarea_escaped ?></textarea><br />
  			<span class="description"><?php _e('The description is not prominent by default, however some themes may show it.'); ?></span></td>
  		</tr>
  		<?php
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/edit-tags.php ./wordpress-3.4/wp-admin/edit-tags.php
*** ./wordpress-3.3.2/wp-admin/edit-tags.php	2011-11-30 22:51:35.000000000 -0600
--- ./wordpress-3.4/wp-admin/edit-tags.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 80,86 ****
  	}
  
  	$tag_ID = (int) $_REQUEST['tag_ID'];
! 	check_admin_referer( 'delete-tag_' .  $tag_ID );
  
  	if ( !current_user_can( $tax->cap->delete_terms ) )
  		wp_die( __( 'Cheatin&#8217; uh?' ) );
--- 80,86 ----
  	}
  
  	$tag_ID = (int) $_REQUEST['tag_ID'];
! 	check_admin_referer( 'delete-tag_' . $tag_ID );
  
  	if ( !current_user_can( $tax->cap->delete_terms ) )
  		wp_die( __( 'Cheatin&#8217; uh?' ) );
***************
*** 416,420 ****
  }
  
  include('./admin-footer.php');
- 
- ?>
--- 416,418 ----
